Bug 91019 - ErrorDocument 401 /some_file.php does not work with apache2
Summary: ErrorDocument 401 /some_file.php does not work with apache2
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-16 15:18 UTC by Denice
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-03 11:46:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:204 normal SHIPPED_LIVE : Updated PHP packages are now available 2003-07-02 04:00:00 UTC

Description Denice 2003-05-16 15:18:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When coding custom error docs, I found that an httpd directive for:
  ErrorDocument 401 some-errordoc-file
works if 'some-errordoc-file' is html, but fails if the file is php.  That is to
say:
  with .htaccess password control in place, when I click on a
  password-protected link, instead of prompting me for a login,
  the server immediately serves the error document instead.


Version-Release number of selected component (if applicable):
php-4.2.2-17, httpd-2.0.40-21.1

How reproducible:
Always

Steps to Reproduce:
1. insert custom php error document (401) in apache config file
2. /etc/init.d/httpd reload
3. click on .htaccess password-protected URL
    

Actual Results:  Error document served immediately

Expected Results:  Browser should prompt for username, password

Additional info:

This problem is in the php.net bug database:
   http://bugs.php.net/bug.php?id=21074

Comment 1 Joe Orton 2003-06-12 14:54:54 UTC
Thanks for the report.  This will be fixed in a forthcoming erratum.

Comment 2 Joe Orton 2003-07-03 11:46:48 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-204.html



Note You need to log in before you can comment on or make changes to this bug.